package com.example.Vezba.model;

import javax.persistence.*;

@Entity
@Table(name="podkategorije_oglasa")
public class PodkategorijaOglasa {
    @EmbeddedId
    private PodOgl podOgl;

    public PodkategorijaOglasa(Integer id_oglasa, Integer id_podkategorije) {
        podOgl.setIdOglasa(id_oglasa);
        podOgl.setIdPodkategorije(id_podkategorije);
    }
    public PodkategorijaOglasa(){

    }

    public Integer getIdOglasa() {
        return podOgl.getIdOglasa();
    }

    public void setIdOglasa(Integer id_oglasa) {
        podOgl.setIdOglasa(id_oglasa);
    }

    public Integer getIdPodkategorije() {
        return podOgl.getIdPodkategorije();
    }

    public void setIdPodkategorije(Integer id_podkategorije) {
        podOgl.setIdPodkategorije(id_podkategorije);
    }
}
